Bug 475005 - python-2.5.2-set_wakeup_fd4.patch is not what went upstream
python-2.5.2-set_wakeup_fd4.patch is not what went upstream
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-12-06 11:16 EST by Daniel Drake
Modified: 2009-07-04 07:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-04 07:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
new patch (3.02 KB, patch)
2008-12-06 11:17 EST, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2008-12-06 11:16:15 EST
python-2.5.2-1.fc10 includes a patch titled python-2.5.2-set_wakeup_fd4.patch which came from http://bugs.python.org/issue1583

However, the final patch on that bug (and the one that is included in F10) is not the version that went upstream. The version that went upstream adds a C API. I'm attaching the final version, which should replace the current patch.

This is needed to decrease wakeups in PyGTK programs:
http://blogs.gnome.org/johan/2008/01/04/enough-wakeups-in-python-programs/

[sidenote, PyGTK also needs fixing, which I'm working on at http://bugzilla.gnome.org/show_bug.cgi?id=481569 )

First step is to fix Python though. Please commit the updated patch, or let me know that it's OK for me to do so.
Comment 1 Daniel Drake 2008-12-06 11:17:03 EST
Created attachment 326003 [details]
new patch
Comment 2 Ignacio Vazquez-Abrams 2008-12-07 00:50:34 EST
It doesn't break the existing API, so I've applied it in cvs.
Comment 3 Peter Robinson 2009-04-11 15:33:39 EDT
Can this now be closed?

Note You need to log in before you can comment on or make changes to this bug.